import*as React from'react';import {IMenuPosition}from'@common-stack/client-react';import {AiOutlineSchedule}from'@react-icons/all-files/ai/AiOutlineSchedule';import loadable from'@loadable/component';import {ORG_STD_ROUTES}from'@adminide-stack/core/lib/constants/urls.js';import {getFilteredMenus,getFilteredRoutes}from'../utils/menu.js';const Timeline = loadable(() => import('./components/Timeline/index.js'));
const Home = loadable(() => import('./components/Home.js'));
const CalenderSchemder = loadable(() => import('./components/Scheduler/index.js'));
const schedulerPage = [
    {
        exact: false,
        icon: React.createElement(AiOutlineSchedule, { style: { fontSize: 'large' } }),
        key: 'reactBigScheduler',
        component: Home,
        position: IMenuPosition.MIDDLE,
        tab: 'React Big Scheduler',
        name: 'React Big Scheduler',
        path: `${ORG_STD_ROUTES.ORG_BASE_PATH}/react-big-scheduler`,
        priority: 1,
    },
    {
        exact: true,
        key: 'reactBigScheduler.scheduler',
        name: 'Scheduler',
        component: CalenderSchemder,
        position: IMenuPosition.MIDDLE,
        path: `${ORG_STD_ROUTES.ORG_BASE_PATH}/react-big-scheduler/scheduler`,
        priority: 2,
    },
    // {
    //   exact: true,
    //   key: 'reactBigScheduler.timesheet',
    //   name: 'Timesheet',
    //   component: Timesheet,
    //   position: IMenuPosition.MIDDLE,
    //   path: '/o/:orgName/react-big-scheduler/timesheet',
    //   priority: 3,
    // },
    {
        exact: true,
        key: 'reactBigScheduler.timeline',
        name: 'TImeline',
        component: Timeline,
        position: IMenuPosition.MIDDLE,
        path: `${ORG_STD_ROUTES.ORG_BASE_PATH}/react-big-scheduler/timeline`,
        priority: 4,
    },
];
const selectedRoutesAndMenus = [
    'reactBigScheduler',
    'reactBigScheduler.scheduler',
    'reactBigScheduler.timesheet',
    'reactBigScheduler.timeline',
];
// get menus
const filteredMenus = getFilteredMenus(schedulerPage, selectedRoutesAndMenus);
// get routes
const filteredRoutes = getFilteredRoutes(schedulerPage, selectedRoutesAndMenus);export{filteredMenus,filteredRoutes,schedulerPage};//# sourceMappingURL=compute.js.map
